Đến nội dung


Hình ảnh
- - - - -

Xin lips cắt chân dim cách 1 đường thẳng giá trị cố định.


  • Please log in to reply
5 replies to this topic

#1 hieuhx68

hieuhx68

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 March 2015 - 10:16 AM

http://i1232.photobu...zpsibbnawop.jpg

Xin lips cắt chân dim cách 1 đường thẳng giá trị cố định. em ko load ảnh trực tiếp lên trang cadviet được. mọi người click vào link giúp em em ạ. 

em muốn nhờ mọi người giúp lips cắt chân dim sao cho các dim cách đường thẳng nghiêng 1 giá trị bằng nhau. Em cảm ơn nhiều


Bài viết đã được chỉnh sửa nội dung bởi hieuhx68: 08 March 2015 - 10:25 AM

  • 0

#2 hieuhx68

hieuhx68

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 March 2015 - 08:10 PM

không ai giúp em với ạ.


  • 0

#3 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 11 March 2015 - 02:26 PM

 Bạn thử cái này. Chỉ dùng với dimlinear và đuong giới hạn là line.

(defun c:kn(/ CAOC G1 G2 LI SS TT10 TT13 TT14 TT9)
(defun dxf(id v) (cdr (assoc id (entget v))))
(defun doi (id tri v) (entmod (subst (cons id tri) (assoc id (entget v)) (entget v)))) 
(defun dxf9(v / tt10 tt13 tt14 tt50 tt9)
 (setq tt10 (dxf 10 v)
tt13 (dxf 13 v)
tt14 (dxf 14 v)
tt50 (dxf 50 v) 
  tt9 (inters tt10 (polar tt10 tt50 1) tt13 (polar tt13 (angle tt14 tt10) 1) nil)     
 )
)
;;;
(princ "\n Chon Kich thuoc:")  (setq ss (ssget '((0 . "DIMENSION"))))
(princ "\n Chon Line:") (setq li (ssname (ssget ":S:E" '((0 . "LINE") )) 0))
(setq caoc (getreal (strcat "\n Cach khoang <" (if gl_caoc (rtos gl_caoc) (rtos (setq gl_caoc 0.02))) ">: ")))
(if caoc (setq gl_caoc caoc))
 
  (foreach obj (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))
      (setq  tt13 (dxf 13 obj)
    tt14 (dxf 14 obj)
    tt10 (dxf 10 obj)
    tt9 (dxf9 obj)
g1 (inters (dxf 10 li) (dxf 11 li) tt10 tt14 nil)
g2 (inters (dxf 10 li) (dxf 11 li) tt9 tt13 nil)
)
   (if g1 (doi 14 (polar g1 (angle g1 tt10) gl_caoc) obj))
   (if g2 (doi 13 (polar g2 (angle g2 tt9) gl_caoc) obj))
  )
)

  • 1

#4 thuphuong.2412

thuphuong.2412

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 March 2015 - 03:40 PM

mọi người ơi cho em hỏi chút với...

em mới vào diễn đàn nên không biết đăng bài lên hỏi thế nào ạ, ai giúp em với..hic hic


  • 0

#5 hieuhx68

hieuhx68

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 March 2015 - 07:55 PM

mọi người ơi cho em hỏi chút với...

em mới vào diễn đàn nên không biết đăng bài lên hỏi thế nào ạ, ai giúp em với..hic hic

Bác vừa đăng được đây thôi. hic


  • 0

#6 hieuhx68

hieuhx68

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 March 2015 - 08:01 PM

 

 Bạn thử cái này. Chỉ dùng với dimlinear và đuong giới hạn là line.

(defun c:kn(/ CAOC G1 G2 LI SS TT10 TT13 TT14 TT9)
(defun dxf(id v) (cdr (assoc id (entget v))))
(defun doi (id tri v) (entmod (subst (cons id tri) (assoc id (entget v)) (entget v)))) 
(defun dxf9(v / tt10 tt13 tt14 tt50 tt9)
 (setq tt10 (dxf 10 v)
tt13 (dxf 13 v)
tt14 (dxf 14 v)
tt50 (dxf 50 v) 
  tt9 (inters tt10 (polar tt10 tt50 1) tt13 (polar tt13 (angle tt14 tt10) 1) nil)     
 )
)
;;;
(princ "\n Chon Kich thuoc:")  (setq ss (ssget '((0 . "DIMENSION"))))
(princ "\n Chon Line:") (setq li (ssname (ssget ":S:E" '((0 . "LINE") )) 0))
(setq caoc (getreal (strcat "\n Cach khoang <" (if gl_caoc (rtos gl_caoc) (rtos (setq gl_caoc 0.02))) ">: ")))
(if caoc (setq gl_caoc caoc))
 
  (foreach obj (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))
      (setq  tt13 (dxf 13 obj)
    tt14 (dxf 14 obj)
    tt10 (dxf 10 obj)
    tt9 (dxf9 obj)
g1 (inters (dxf 10 li) (dxf 11 li) tt10 tt14 nil)
g2 (inters (dxf 10 li) (dxf 11 li) tt9 tt13 nil)
)
   (if g1 (doi 14 (polar g1 (angle g1 tt10) gl_caoc) obj))
   (if g2 (doi 13 (polar g2 (angle g2 tt9) gl_caoc) obj))
  )
)

Em cảm ơn bác. Bài viết đã đúng như em cần. Tuy nhiên nếu bác cho em thêm chức năng, chọn được nhiều đường line hay PL thì sẽ hoàn thiện được tất cả ạ.


  • 0